import NextAuth from "next-auth";
import Gitea from "@/lib/providers/gitea";

export const { handlers, signIn, signOut, auth } = NextAuth({
  providers: [
    Gitea({
      clientId: process.env.AUTH_GITEA_ID,
      clientSecret: process.env.AUTH_GITEA_SECRET,
      enterprise: {
        baseUrl: process.env.AUTH_GITEA_URL,
      },
    }),
  ],
  secret: process.env.AUTH_SECRET,
  debug: process.env.NODE_ENV === "development",
});
