"use server";

import { cookies } from "next/headers";
import { defaultLocale, Locale } from "@/i18n/config";

const LOBE_LOCALE_COOKIE = "JUDGE4C_LOCALE";

export async function getUserLocale() {
  return (await cookies()).get(LOBE_LOCALE_COOKIE)?.value || defaultLocale;
}

export async function setUserLocale(locale: Locale) {
  (await cookies()).set(LOBE_LOCALE_COOKIE, locale);
}
